Package twisted :: Package python :: Module roots :: Class Homogenous

[show private | hide private]
[frames | no frames]

## Class Homogenous

    Collection --+
                 |
       Constrained --+
                     |
                    Homogenous

Known Subclasses:
  `VirtualHostCollection`

A homogenous collection of entities.

I will only contain entities that are an instance of the class or type specified by my 'entityType' attribute.

Method Summary
| ``__init__`(self, entities)` Initialize me. (inherited from `Collection`)
| ``delEntity`(self, name)` Remove a static reference for 'name'. (inherited from `Collection`)
| ``entityConstraint`(self, entity)` A method that determines whether an entity may be added to me.
| ``getDynamicEntity`(self, name, request)` Subclass this to generate an entity on demand. (inherited from `Collection`)
| ``getEntity`(self, name, request)` Retrieve an entity from me. (inherited from `Collection`)
| `getEntityType(self)`
| `getNameType(self)`
| ``getStaticEntity`(self, name)` Get an entity that was added to me using putEntity. (inherited from `Collection`)
| ``listDynamicEntities`(self, request)` A list of all name, entity that I can generate on demand. (inherited from `Collection`)
| ``listDynamicNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Collection`)
| ``listEntities`(self, request)` Retrieve a list of all name, entity pairs I contain. (inherited from `Collection`)
| ``listNames`(self, request)` Retrieve a list of all names for entities that I contain. (inherited from `Collection`)
| ``listStaticEntities`(self)` Retrieve a list of all name, entity pairs that I store references to. (inherited from `Collection`)
| ``listStaticNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Collection`)
| ``nameConstraint`(self, name)` A method that determines whether an entity may be added to me with a given name. (inherited from `Constrained`)
| ``putEntity`(self, name, entity)` Store an entity if it meets both constraints. (inherited from `Constrained`)
| `reallyPutEntity(self, name, entity)` (inherited from `Constrained`)
| ``removeEntity`(self, name, request)` Remove an entity for 'name', based on the content of 'request'. (inherited from `Collection`)
| ``storeEntity`(self, name, request)` Store an entity for 'name', based on the content of 'request'. (inherited from `Collection`)

Class Variable Summary
`type` | `instance`

Method Details

### entityConstraint(self, entity)

A method that determines whether an entity may be added to me.

If the constraint is satisfied, return 1; if the constraint is not satisfied, either return 0 or raise a descriptive ConstraintViolation.

  Overrides:
    `twisted.python.roots.Constrained.entityConstraint` (inherited documentation)

Class Variable Details

### instance

`instance` = `types.instance`

Generated by Epydoc 1.1 on Thu May 8 13:18:57 2003 | http://epydoc.sf.net